Android Studio报错——Could not find com.android.tools.build:gradle:3.1.2
10-25 11:55 浏览(46

今天在用Android Studio导入eclipse的安卓项目的时候,bulid一直报错

Could not find com.android.tools.build:gradle:3.1.2

百度之,说是本地没有3.1.2的gradle,build.gradle文件中也确实是关联的3.1.2的版本

dependencies {
    classpath 'com.android.tools.build:gradle:3.1.2'
}

降低版本也没用

查看以前的as项目,发现 dependencies 有段 repositories 配置

repositories {
        google()
        jcenter()
    }

而在导入项目的build.gradle中只有jcenter(),果断加过去试了下,成功了,完整build.gradle文件内容如下

buildscript {
    repositories {
        google()
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.1.2'
    }
}

allprojects {
    repositories {
        google()
        jcenter()
    }
}


评论(0)
发布评论
回复X
聊天室(0